library(tidyverse)

args = commandArgs(trailingOnly=TRUE)
zip_filename = args[1]
outname = args[2]

files <- unzip(zip_filename, list=T)

names <- files$Name

total_nodes <- length(names)

get_df <- function(filename) {
    read_csv(unz(zip_filename, filename))
}

names %>%
    map_df(get_df) %>%
    mutate(total_nodes = total_nodes) %>%
    write_csv(outname)

